{
    num: -32182,
    accuracy: 100,
    basePower: 70,
    category: "Special",
    name: "Wonder Blast",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1 },
    onBasePower(basePower) {
      if (this.field.getPseudoWeather("wonderroom")) {
        return this.chainModify(1.5);
      }
    },
    secondary: {
      chance: 100,
      onHit(target, source, move) {
        if (this.field.getPseudoWeather("wonderroom")) {
          target.addVolatile("confusion", source, move);
        }
      }
    },
    target: "normal",
    type: "Fairy",
    contestType: "Beautiful"
}